Logo
OpenScaler

List console pinned VMs

GET
/v1/my/console/pinned-vms

List VMs pinned in the recovery console UI for quick access.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/my/console/pinned-vms"
{  "pinned_vms": [    {      "vm_id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b",      "color": "violet",      "console_type": "ssh"    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}